Subject: Re: [Mgs] Mgs Digest, Vol 176, Issue 6

From: Allen Hess <[email-masked]>
Date: Tue, 25 Jan 2022 14:21:33 -0500

I have a 71 and this sounds like the problem I had years ago. The high low beam switch contacts are brass and probably fifty years dirty. Take the plastic cover off and you may not need to remove the switch (don’t remember). I don’t think the contacts are enclosed, even so, I didn’t find it at all difficult. Use some 400 sandpaper and clean the contacts. Mine has been working for about 30 years. 

Allen Hess
Update - used a wire with an inline fuse to test connections.   Parking lights work and headlights work in one position only. 

The dipper switch on a 72 - is forward high or low?  Thats the one that works

> On Jan 25, 2022, at 2:01 PM, [email-masked] wrote:
> 
> 
_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.75

Archive: http://www.team.net/pipermail/mgs http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]